{
  glucose.modules = [
    ({
      config,
      lib,
      ...
    }: {
      services.grafana = {
        enable = true;
        dataDir = "/var/services/grafana";
        # declarativePlugins = null;

        settings = {
          analytics = {
            check_for_plugin_updates = false;
            check_for_updates = false;
            feedback_links_enabled = false;
            reporting_enabled = false;
          };

          database = {
            host = "10.24.1.9:5432";
            type = "postgres";
            name = "grafanadb";
            user = "grafana";
            password = lib.mkForce builtins.concatStringsSep "" ["$__file" "{${config.sops.secrets.grafana_db_pass}}"];
          };
          # paths = {};
          security = {
            admin_user = lib.mkForce builtins.concatStringsSep "" ["$__file" "{${config.sops.secrets.grafana_admin_account.path}}"];
            admin_password = lib.mkForce builtins.concatStringsSep "" ["$__file" "{${config.sops.secrets.grafana_admin_pass.path}}"];
          };
          server = {
            root_url = "https://grf.collective-conciousness.monster";
            enable_gzip = true;
            http_addr = "0.0.0.0";
            http_port = 6700;
          };
          # smtp = {};
          # users = {};
        };

        /*
          provision = {
          alerting = {};
          dashboards = {};
          datasources = {};
        };
        */
      };
    })
  ];
}
